class_name PracticeManager extends PlayManager
## A single player can just kind of chill out and vibe...

var player: WorldPlayer:
	get:
		return players[0]
	set(value):
		players[0] = value


func on_initialization() -> void:
	# Spawn practice player
	spawning.emit(player)

	# Set first player as active
	player.shot_setup.phase = ShotSetup.Phase.AIM


func on_turn_finished(_source: ShotSetup) -> void:
	player.shot_setup.queue_restart()
	turn_started.emit(player)


func on_player_death(source: WorldPlayer) -> void:
	# Respawn player
	source.life = WorldPlayer.MAX_LIFE
	spawning.emit(source)
